package it.polimi.ingsw.gc14.Model.Cards.Building.Effects;

import it.polimi.ingsw.gc14.Model.Cards.TribeCards.CharacterType;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class Building1Test {

    @Test
    @DisplayName("Testing constructor and icon getter method")
    void testConstructorAndGetter() {
        CharacterType ct = CharacterType.INVENTOR;
        Building1 b0 = new Building1(1,2,3, ct);

        assertEquals(ct, b0.getIcon());
    }
}